INTERFACE
SUBROUTINE PPOBSAZA(KDLEN,KLEN,KDCOUNT,CDPAR,KOBSTYPE,KCOUNT,PZO,&
 & POROG,KSLCT,LDEXTLI,&
 & PXZ,PXZD,PGEOPH,PGEOPF,PRESH,PRESF,PTSTAR,&
 & KDPP,PXPP,&
 & PXZ5,PXZD5,PGEOPH5,PGEOPF5,PRESH5,PRESF5,&
 & PTSTAR5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPPM
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KDCOUNT
CHARACTER(LEN=3) ,INTENT(IN) :: CDPAR
INTEGER(KIND=JPIM),INTENT(IN) :: KOBSTYPE
INTEGER(KIND=JPIM),INTENT(IN) :: KCOUNT(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PZO(KDLEN,KDCOUNT)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(KDLEN)
INTEGER(KIND=JPIM),INTENT(IN) :: KSLCT
LOGICAL ,INTENT(IN) :: LDEXTLI
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXZ(KDLEN,0:NFLEVG,NPPM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXZD(KDLEN,0:NFLEVG,NPPM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGEOPH(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGEOPF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRESH(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRESF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTSTAR(KDLEN)
INTEGER(KIND=JPIM),INTENT(IN) :: KDPP
REAL(KIND=JPRB) ,INTENT(IN) :: PXPP(KDLEN,KDCOUNT,KDPP)
REAL(KIND=JPRB) ,INTENT(IN) :: PXZ5(KDLEN,0:NFLEVG,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PXZD5(KDLEN,0:NFLEVG,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOPH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOPF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSTAR5(KDLEN)
END SUBROUTINE PPOBSAZA
END INTERFACE
